Bug 149724 - Screen should have support for Kerberos
Screen should have support for Kerberos
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-02-25 14:20 EST by Fredrik Tolf
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-31 09:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to add Kerberos support to screen. (9.24 KB, patch)
2005-02-25 14:22 EST, Fredrik Tolf
no flags Details | Diff

  None (edit)
Description Fredrik Tolf 2005-02-25 14:20:08 EST
I have two problems when using Kerberos and screen:
1. If one logs in with Kerberos support and thereby gets tickets and
then starts a screen, that screen session will use the same credential
cache. If one then detaches the screen and logs out, the login program
will remove the credential cache, and the processes running in the
detached screen will be ticket-less. 

2. If one starts a screen, detaches it and lets it lie for some time,
the tickets will expire if one doesn't log in once in a while and
renews them manually.

Therefore, I've written a patch for screen that fixes these problems.
I've mailed it to the screen project mailing list, but considering
that the frequency of screen releases doesn't seem sky-high, it would
be nice to see this get into FC4, so that I won't have to rebuild
screen on the computers that I'll install it on.
Comment 1 Fredrik Tolf 2005-02-25 14:22:44 EST
Created attachment 111434 [details]
Patch to add Kerberos support to screen.

This patch adds Kerberos support to screen 4.0.2. It makes a copy of the
credential cache when screen starts, and renews tickets every once in a while
(providing, of course, that the tickets are renewable).

It doesn't update configure, so autoconf will have to be run after this patch
is applied for everything to work as it should.

Note also that configure has to be run with --with-krb5, since no
auto-detection is done.
Comment 2 Petr Rockai 2005-02-28 03:51:03 EST
I appreciate the patch, however, i think i will have to wait for the upstream   
to adopt the patch, especially this late in release cycle, i alone cannot  
reasonably test the patch for inclusion... I'll put the bug on hold and  
reconsider after FC4 is out, if it's not included upstream by the time. Please 
notify me in that case, if you want to be sure i don't forget, thanks. 
Comment 3 Marcela Mašláňová 2007-07-31 09:44:07 EDT
I believe that you should send your patch to upstream and he decide about
including this patch. If they adopt it I use it in the next release of screens

Note You need to log in before you can comment on or make changes to this bug.